Returns the payout orders for the customer
Returns a paginated list of payout orders for the customer. The information can be filtered using the different parameters.
Query Parameters
- Type: stringFormat: uuidshinkansen
_payout _order _id If present, filter by the identifier Shinkansen assigned to the payout order
- Type: stringexternal
_id If present, filter by the external ID of the transaction (defined bye customer)
- Type: stringrecipient
_id If present, filter by the identifier for a natural or legal person
- Type: array of stringenumstate[]
If present, filter by the state(s) of the payout order. Repeat the parameter to pass more than one value (
?state[]=created&state[]=approved).values- created
- waiting
_validation - waiting
_approval - approved
- scheduled
- pending
_funds - enqueued
- executing
- Type: numberamount
If present, filter by the exact amount given
- Type: stringupperbound
_amount If present, filter by amount less or equal than the given one
- Type: stringrecipient
_name If present, filter by the recipient name
- Type: stringrecipient
_account If present, filter byt the recipient account
- Type: stringdescription
If present, filter by the description set in the payout order
- Type: stringbank
_account _currency If present, filter by the currency of the bank account
- Type: stringbank
_account If present, filter by the bank account
- Type: stringrecipient
_fin _id If present, filter by the recipient fin id
- Type: stringFormat: date-timegte
_execution _date If present, filter by execution dates greater or equal than the given value
- Type: stringFormat: date-timelte
_execution _date If present, filter by execution dates less or equal than the given value
- Type: stringFormat: date-timegte
_inserted _at If present, filter by inserted dates greater or equal than the given value
- Type: stringFormat: date-timelte
_inserted _at If present, filter by inserted dates less or equal than the given value
- Type: stringtracking
_key If present, filter by the tracking key
- Type: stringreference
_number If present, filter by the reference number
- Type: integerlte
_id If present, filter by payout orders whose internal sequential id is less than or equal to the given value. Useful to keep a long paginated walk stable while new orders are being created.
- Type: integerpage
_size min:1max:100Maximum number of transactions to return per page (can't be greater than 100). Defaults to 50 if not specified.
- Type: integerpage
Current page to fetch (defaults to 1 if not specified)
Responses
- application/json
- text/plain
- text/plain
curl https://api.treasury.shinkansen.finance/v1/payout_orders \
--header 'Shinkansen-Treasury-Api-Key: YOUR_SECRET_TOKEN'
{
"meta": {
"current_page": 1,
"total_pages": 1,
"current_offset": 0,
"total_count": 10
},
"payout_orders": [
{
"shinkansen_payout_order_id": "8ddfed18-4e75-47ef-ae42-716cbe97d5a0",
"recipient_fin_id_schema": "SHINKANSEN",
"recipient_account": 30001288,
"state": "rejected",
"description": "test",
"recipient_name": "Romulo Gallegos",
"type": "wire_transfer",
"reference_number": 1234567,
"created_by": "api@shinkansen.finance",
"bank_account": {
"currency": "CLP",
"financial_institution_id": "SIMULATED_BANK",
"account": 1378783
},
"comments": {
"count": 0
},
"inserted_at": "2024-04-30T21:41:13Z",
"amount": 1,
"recipient_id": "19154480-3",
"external_id": "ff111124-dddd-dddd-dddd-472a7599decb",
"recipient_fin_id": "SIMULATED_BANK",
"execution_mode": "default",
"payment_purpose_category": "default",
"updated_at": "2025-04-30T21:41:13Z",
"via_api": true,
"payment_rail": "default",
"po_connection": "default",
"recipient_id_schema": "CLID",
"execution_date": "2024-04-30T21:42:15Z",
"tags": [],
"recipient_account_type": "current_account",
"error_message": null,
"tracking_key": null,
"recipient_email": "demos@shinkansen.cl"
},
{
"shinkansen_payout_order_id": "3c1a7f92-55b1-4d0e-9a77-1f2b3c4d5e6f",
"recipient_fin_id_schema": "SHINKANSEN",
"recipient_account": 60001288,
"state": "succeeded",
"description": "test",
"recipient_name": "Sonia Gallegos",
"type": "wire_transfer",
"reference_number": 1234568,
"created_by": "api@shinkansen.finance",
"bank_account": {
"currency": "CLP",
"financial_institution_id": "SIMULATED_BANK",
"account": 1378783
},
"comments": {
"count": 0
},
"inserted_at": "2024-04-30T21:41:13Z",
"amount": 2,
"recipient_id": "19154480-3",
"external_id": "ff111124-dddd-dddd-dddd-472a7599decd",
"recipient_fin_id": "SIMULATED_BANK",
"execution_mode": "default",
"payment_purpose_category": "default",
"updated_at": "2025-04-30T21:41:13Z",
"via_api": true,
"payment_rail": "default",
"po_connection": "default",
"recipient_id_schema": "CLID",
"execution_date": "2024-04-30T21:42:15Z",
"tags": [],
"recipient_account_type": "current_account",
"error_message": null,
"tracking_key": null,
"recipient_email": "demos@shinkansen.cl",
"payouts": [
{
"shinkansen_transaction_id": "e9a5a317-833c-4188-a54a-b041b67e7db8",
"transaction_id": "aab63c75-1234-5678-9abc-def012345678",
"state": "ok",
"response_status": "ok",
"response_message": "ok",
"error_codes": [],
"error_messages": []
}
]
}
]
}